
.card {
  border-radius: 12px;
}

.card:hover {
  transform: translateY(-5px);
  transition: 0.3s;
}

/* CARD CENTERING */
.service-card {
  background: var(--primary-blue);
  color: #fff;
  border-radius: 12px;
  border: none;

  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;   /* 🔥 center everything */

  text-align: center;
  transition: 0.3s;
}

/* ICON BOX */
.icon-box {
  width: 60px;
  height: 60px;

  display: flex;
  align-items: center;
  justify-content: center;

  border-radius: 50%;
  background: rgba(255,255,255,0.15);
}

/* ICON */
.icon-box i {
  font-size: 26px;
  color: #fff;
}

/* HOVER */
.service-card:hover {
  background: #fff;
  color: var(--primary-blue);
  transform: translateY(-5px);
}

.service-card:hover .icon-box {
  background: var(--primary-blue);
}

.service-card:hover i {
  color: #fff;
}